# Implementation Strategy

Before you start managing your Operations in EPRNext, you must first become
familiar with the system and the terms used. For this we recommend
implementation should happen in two phases.

  * A **Test Phase**, where you enter dummy records representing your day to day transactions and a **Live Phase**, where we start entering live data.

### Test Phase

  * Read the Manual
  * Create a free account at [https://erpnext.com](https://erpnext.com) (the easiest way to experiment).
  * Create your first Customer, Supplier and Item. Add a few more so you get familiar with them.
  * Create Customer Groups, Item Groups, Warehouses, Supplier Groups, so that you can classify your Items.
  * Complete a standard sales cycle - Lead > Opportunity > Quotation > Sales Order > Delivery Note > Sales Invoice > Payment (Journal Entry)
  * Complete a standard purchase cycle - Material Request > Purchase Order > Purchase Receipt > Payment (Journal Entry).
  * Complete a manufacturing cycle (if applicable) - BOM > Production Planning Tool > Production Order > Material Issue
  * Replicate a real life scenario into the system.
  * Create custom fields, print formats etc as required.

### Live Phase

Once you are familiar with ERPNext, start entering your live data!

  * Clean up the account of test data or better, start a fresh install.
  * If you just want to clear your transactions and not your master data like Item, Customer, Supplier, BOM etc, you can click delete the transactions of your Company and start fresh. To do so, open the Company Record via Setup > Masters > Company and delete your Company's transactions by clicking on the **Delete Company Transactions** button at the bottom of the Company Form.
  * You can also setup a new account at [https://erpnext.com](https://erpnext.com), and use the 30-day free trial. [Find out more ways of deploying ERPNext](/introduction/getting-started-with-erpnext)
  * Setup all the modules with Customer Groups, Item Groups, Warehouses, BOMs etc.
  * Import Customers, Suppliers, Items, Contacts and Addresses using Data Import Tool.
  * Import opening stock using Stock Reconciliation Tool.
  * Create opening accounting entries via Journal Entry and create outstanding Sales Invoices and Purchase Invoices.
  * If you need help, [you can buy support](https://erpnext.com/pricing) or [ask in the user forum](https://discuss.erpnext.com).

{next}
